Name:          python-varint
Version:       1.0.2
Release:       %autorelease
BuildArch:     noarch
Summary:       A basic varint implementation in python
License:       MIT
URL:           https://github.com/fmoo/%{name}
VCS:           git:%{url}.git
Source0:       %{pypi_source varint}
BuildRequires: python3-devel

%description
%{summary}.

%prep
%autosetup -p1 -n varint-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files varint

%check
# FIXME - no tests

%files -f %{pyproject_files}
# No license file in PyPi tarball.
# Upstram bug - https://github.com/fmoo/python-varint/issues/7
#%%license LICENSE

%changelog
%autochangelog
